History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8276,
"created_at": "2016-07-01 16:03:45",
"customer_id": 1057,
"duration": 1540,
"operator_id": 8617,
"operator_ua": "value",
"state": 1,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 835
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/99 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2210,
"created_at": "2019-07-22 04:29:39",
"customer_id": 289,
"duration": 3103,
"operator_id": 7396,
"operator_ua": "value",
"state": 4,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 9865
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/76,103,428 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 879,
"billsec": 3622,
"call_id": 9198,
"calldate": "2022-12-08 22:47:52",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1800,
"info": "value",
"is_root": true,
"live_id": 7347,
"parent_live_id": 9333,
"root_live_id": 6041,
"server_id": 2163,
"sip_endpoint_id": 1750,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 1576
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 8027
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3200,
"billsec": 4384,
"call_id": 1627,
"calldate": "2018-08-27 06:53:07",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7218,
"info": "value",
"is_root": true,
"live_id": 3650,
"parent_live_id": 1217,
"root_live_id": 5801,
"server_id": 3298,
"sip_endpoint_id": 2141,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 4634
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7906,
"billsec": 4125,
"call_id": 8101,
"calldate": "2018-03-01 07:25:25",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1084,
"info": "value",
"is_root": true,
"live_id": 3842,
"parent_live_id": 8415,
"root_live_id": 3105,
"server_id": 3905,
"sip_endpoint_id": 4171,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 7155
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/79 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2966,
"billsec": 7484,
"call_id": 650,
"calldate": "2023-07-19 03:33:09",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 0,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1690,
"info": "value",
"is_root": true,
"live_id": 9581,
"parent_live_id": 13,
"root_live_id": 7471,
"server_id": 6542,
"sip_endpoint_id": 8689,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 4011
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/94.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 486,
"billsec": 181,
"call_id": 9668,
"calldate": "2021-10-11 12:02:13",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 279,
"info": "value",
"is_root": true,
"live_id": 2330,
"parent_live_id": 9059,
"root_live_id": 1289,
"server_id": 8748,
"sip_endpoint_id": 9208,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 4423
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/10.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4901,
"billsec": 8426,
"call_id": 6234,
"calldate": "2023-12-04 03:43:31",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 255,
"info": "value",
"is_root": true,
"live_id": 8362,
"parent_live_id": 3781,
"root_live_id": 7317,
"server_id": 7851,
"sip_endpoint_id": 4358,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 5840
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2116,
"billsec": 2539,
"call_id": 1173,
"calldate": "2020-11-13 15:16:50",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4848,
"info": "value",
"is_root": true,
"live_id": 8151,
"parent_live_id": 6486,
"root_live_id": 8328,
"server_id": 2742,
"sip_endpoint_id": 8004,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 8600
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/29/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7304,
"billsec": 5080,
"call_id": 7285,
"calldate": "2021-09-02 21:21:16",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 2,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4188,
"info": "value",
"is_root": true,
"live_id": 4574,
"parent_live_id": 9861,
"root_live_id": 3069,
"server_id": 9541,
"sip_endpoint_id": 7230,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 9704
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-09-19 21:38:57",
"customer_id": 4312,
"cx_score": 830,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 7428,
"last_activity_at": "2018-09-19 21:33:40",
"last_message": "value",
"last_message_at": "2018-09-19 21:35:54",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 6829,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"type": 5,
"user_id": 163,
"voicemessage_id": 1899
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 7713,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2022-09-06 18:08:52",
"customer_id": 7090,
"cx_score": 2431,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 4391,
"last_activity_at": "2022-09-06 18:10:41",
"last_message": "value",
"last_message_at": "2022-09-06 18:12:25",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3915,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"type": 4,
"user_id": 55,
"voicemessage_id": 4406
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/57 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2017-01-06 23:33:34",
"customer_id": 5411,
"cx_score": 8859,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 817,
"last_activity_at": "2017-01-06 23:33:09",
"last_message": "value",
"last_message_at": "2017-01-06 23:16:13",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3618,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 6234,
"voicemessage_id": 2621
},
"links": {}
}
PATCH
/conversations/{id}/members Marks a Conversation as read or unread for the authenticated user
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
PATCH /v1.1/voipstudio/conversations/99/members HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
404 Resource not found
401 Unauthorized
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2022-04-30 16:11:10",
"customer_id": 8791,
"cx_score": 9876,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 592,
"last_activity_at": "2022-04-30 16:20:31",
"last_message": "value",
"last_message_at": "2022-04-30 16:14:14",
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 4285,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 5,
"user_id": 957,
"voicemessage_id": 344
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9984,
"call_id": 6192,
"called": "44203846719",
"caller": "32179243705",
"context": "value",
"cx_score": 9915,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 7275,
"live_id": 4477,
"sentiment": 0,
"sip_endpoint_id": 4091,
"size": 5817,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2021-01-23 07:54:34",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 7011
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/40 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6739,
"call_id": 1148,
"called": "32179243705",
"caller": "44203846719",
"context": "value",
"cx_score": 631,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 5448,
"live_id": 1943,
"sentiment": 0,
"sip_endpoint_id": 4446,
"size": 8691,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2022-01-06 17:10:06",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 9297
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/54.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2250,
"call_id": 4861,
"called": "44203846719",
"caller": "44779243705",
"context": "value",
"cx_score": 5597,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 9872,
"live_id": 5115,
"sentiment": 2,
"sip_endpoint_id": 3466,
"size": 67,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2017-10-24 22:46:55",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 6533
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/19,143,467 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3860,
"call_id": "value",
"created_at": "2023-06-26 19:54:42",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 3935,
"media_session_id": 6713,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1023
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/60 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5474,
"call_id": "value",
"created_at": "2019-05-07 02:31:25",
"dst": "44779243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 2520,
"media_session_id": 6437,
"src": "44779243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8382
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/47.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1686,
"call_id": "value",
"created_at": "2019-08-20 00:33:31",
"dst": "12124537768",
"dst_id": "value",
"dst_ua": "value",
"duration": 4925,
"media_session_id": 8210,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 2141
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/37.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3290,
"call_id": "value",
"created_at": "2020-11-02 16:42:16",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 9058,
"media_session_id": 1244,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 7805
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2150,
"call_id": "value",
"created_at": "2025-07-27 02:34:27",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 6631,
"media_session_id": 2527,
"src": "44203846719",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 6323
}
],
"total": 59
}
GET
/offlinemessages Returns collection of OfflineMessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/offlinemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9766,
"chat_id": 4566,
"created_at": "2021-03-17 21:09:35",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 5892
}
],
"total": 59
}
GET
/offlinemessages/{id} Returns OfflineMessage resource for given Id
Parameters
Endpoint URL:
{id} integerOfflineMessage identifier
Example Request
GET /v1.1/voipstudio/offlinemessages/18 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6225,
"chat_id": 1170,
"created_at": "2021-08-30 02:02:19",
"email": "value",
"message": "value",
"name": "value",
"referer": "value",
"visitor_id": "value",
"website_id": 9529
},
"links": {}
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 165,
"caller": "44203844711",
"callerid": "12124537768",
"dialled": "44203844711",
"duration": 7189,
"extension_id": 5795,
"folder": 0,
"is_new": true,
"live_id": 1564,
"origtime": "2022-09-04 13:05:23",
"parent_live_id": 6832,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 737,
"folder": "abcd"
},
{
"id": 8120,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4602,
"caller": "13103345244",
"callerid": "44779243705",
"dialled": "44203846719",
"duration": 9262,
"extension_id": 6005,
"folder": 1,
"is_new": true,
"live_id": 9781,
"origtime": "2026-08-03 18:42:18",
"parent_live_id": 9787,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/52 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1857,
"caller": "44779243705",
"callerid": "12124537768",
"dialled": "44203846719",
"duration": 2661,
"extension_id": 6568,
"folder": 0,
"is_new": true,
"live_id": 9248,
"origtime": "2017-11-15 08:20:23",
"parent_live_id": 5214,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/91.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9391,
"caller": "44203844711",
"callerid": "44779243705",
"dialled": "12124537768",
"duration": 2962,
"extension_id": 1660,
"folder": 2,
"is_new": true,
"live_id": 9247,
"origtime": "2017-04-18 14:31:42",
"parent_live_id": 2294,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/62,190,467 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5455,
"conversation_id": "value",
"created_at": "2022-06-15 21:54:43",
"from": "12124537768",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "13103345244",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 9238
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3023,
"billsec": 8826,
"call_id": 3258,
"calldate": "2022-05-12 20:37:10",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 0,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4663,
"info": "value",
"is_root": true,
"live_id": 5973,
"parent_live_id": 1873,
"root_live_id": 6991,
"server_id": 149,
"sip_endpoint_id": 4023,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 4714
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/49/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5502,
"active": true,
"created_at": "value",
"customer": 1050,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"legacy_api_key": "value",
"roles": "value",
"status": 3,
"two_factor_auth": 1,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1249,
"call_id": "value",
"created_at": "2018-05-27 22:28:03",
"dst_id": "value",
"dst_ua": "value",
"duration": 9560,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2018-05-27 22:27:50",
"user": 8415
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |